#
# spec file for package ceph-kmp
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ceph-kmp
BuildRequires:  kernel-syms module-init-tools
Group:          System/Filesystems
AutoReqProv:    on
Summary:        User space components of the Ceph file system
Url:            http://ceph.newdream.net/
Version:        0
Release:        0.7.1
License:        "GPL-2.0 ..."; GPL-2.0
Source1:        Makefile
Source1:        COPYING
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kernel_module_package -n ceph

%description
Ceph is a distributed network file system designed to provide excellent
performance, reliability, and scalability.



Authors:
--------
    Sage Weil <sage@newdream.net>
    Patience Warnick <patience@newdream.net>
    Yehuda Sadeh-Weinraub <yehudasa@gmail.com>
    Greg Farnum <gregf@hq.newdream.net>

%prep
%setup -Tc
cp %_sourcedir/Makefile .
mkdir net fs
cp -a /usr/src/linux/fs/ceph fs
cp -a /usr/src/linux/net/ceph net
cp /usr/src/linux/drivers/block/rbd* .

%build
set -- *
export CONFIG_CEPH_FS=m CONFIG_CEPH_LIB=m CONFIG_BLK_DEV_RBD=m
for flavor in %flavors_to_build; do
    mkdir -p $flavor
    cp -a "$@" $flavor/
    make -C %{kernel_source $flavor} modules \
	 M=$PWD/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates/%name
export CONFIG_CEPH_FS=m CONFIG_CEPH_LIB=m CONFIG_BLK_DEV_RBD=m
for flavor in %flavors_to_build; do
    make -C %{kernel_source $flavor} modules_install \
	 M=$PWD/$flavor
done

%changelog
* Mon Dec 19 2011 mmarek@suse.cz
- Set relevant CONFIG_* options so that the modules are always built.
- Rename the source rpm file to ceph-kmp to avoid conflict with the
  userspace package (bnc#731701).
* Tue Nov 29 2011 mmarek@suse.cz
- Packaged ceph.ko, libceph.ko and rbd.ko as separate KMP
  (fate#312934, bnc#731701).
